Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 6)
@@ -3964,13 +4094,13 @@
                 dgv.Rows[e.RowIndex].Cells[(int)DispGridColumn.Percent].Value = CalculattionPercent(ExceValue).ToString("0.00");
 
                 // 粗利益行計算
-                CalculateGrossProfit();
+                CreateGrossProfit(false);
 
                 // 純利益計算
-                CalculateNetIncome();
+                CreateNetIncome(false);
 
                 // 合計計算
-                CalculateAllTotal();
+                CreateAllTotal(false);
             }
             catch (System.Exception ex)
             {
@@ -4014,60 +4144,63 @@
         }
         #endregion
 
-        #region 自分以外の一般ユーザーと所属長をチェックする
+        #region ユーザーをチェックする
         /// <summary>
-        /// 自分以外の一般ユーザーと所属長をチェックする
+        /// ユーザーをチェックする
         /// </summary>
         /// <returns></returns>
         private bool CheckUserAndLeader()
         {
-            IOConstructionBudget BudgetDB = new IOConstructionBudget();
             IOMPersonInCharge PersonDB = new IOMPersonInCharge();
             try
             {
+                bool bPermit = false;
                 if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement)
                 {
-                    // システム管理者（すべて対象）
-                    return true;
+                    // システム管理者
+                    bPermit = true;
                 }
-                else
+                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
                 {
-                    // 最高機密管理者（すべて対象）・
-                    for (int i = (int)CommonDefine.SysManaDivNo.PresidentAuthority; i <= (int)CommonDefine.SysManaDivNo.SupervisorAuthority; i++)
-                    {
-                        if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[i].Key) return true;
-                    }
+                    // 最高機密管理者
+                    bPermit = true;
                 }
-
-                // 工事予算書データ読込
-                string strSQL = BudgetDB.CreatePrimarykeyString(m_ConstructionCode);
-                ConstructionBudget BudgetRec = new ConstructionBudget();
-                bool bBudget = BudgetDB.SelectAction(strSQL, ref BudgetRec);
-                // 工事予算書データが無い場合は工事情報で確認する
-                if (!bBudget)
+                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key)
                 {
-                    // 工事担当者をデータにセットする
-                    BudgetRec.CreatorCode = m_ConstructionBaseInfo.ConstructionPersonCode;
+                    // 統括責任者
+                    bPermit = true;
                 }
+                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
+                {
 
-                int userSecCode = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;
-                // 自分以外の一般ユーザーはfalse
-                if (CommonMotions.LoginUserData.SecurityManagement == userSecCode && CommonMotions.LoginUserData.PersonCode != BudgetRec.CreatorCode)
-                {
-                    return false;
+                    // 上長は工事が自部署の関連だけ
+                    List<int> PersonList = new List<int>();
+                    PersonList.Add(m_ConstructionBaseInfo.SalesPersonCode);
+                    PersonList.Add(m_ConstructionBaseInfo.ConstructionPersonCode);
+                    if (m_ConstructionBaseInfo.ConstrSubPersonCode != 0) PersonList.Add(m_ConstructionBaseInfo.ConstrSubPersonCode);
+                    if (m_ConstructionBaseInfo.ConstructionInstructor != 0) PersonList.Add(m_ConstructionBaseInfo.ConstructionInstructor);
+
+                    foreach (int Personcode in PersonList)
+                    {
+                        string strSQL = PersonDB.CreatePrimarykeyString(Personcode);
+                        PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                        if (!PersonDB.SelectAction(strSQL, ref PersonRec)) continue;
+
+                        // 所属上長では無ければfalse
+                        if (PersonRec.DepartmentCode == CommonMotions.LoginUserData.DepartmentCode)
+                        {
+                            bPermit = true;
+                            break;
+                        }
+                    }
+
                 }
-                int LeaderSecCode = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key;
-                if (CommonMotions.LoginUserData.SecurityManagement == LeaderSecCode)
+                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
                 {
-                    strSQL = PersonDB.CreatePrimarykeyString(BudgetRec.CreatorCode);
-                    PersonInChargeMaster PersonRec = new PersonInChargeMaster();
-                    if (!PersonDB.SelectAction(strSQL, ref PersonRec)) return false;
-
-                    // 所属上長では無ければfalse
-                    if (PersonRec.DepartmentCode != CommonMotions.LoginUserData.DepartmentCode) return false;
+                    // 一般ユーザー
+                    bPermit = false;
                 }
-
-                return true;
+                return bPermit;
             }
             catch (Exception ex)
             {
@@ -4076,50 +4209,10 @@
             }
             finally
             {
-                BudgetDB.close(); BudgetDB = null;
                 PersonDB.close(); PersonDB = null;
             }
         }
         #endregion
 
-        #region 担当者給与文字列を作成する
-        /// <summary>
-        /// 担当者給与文字列を作成する
-        /// </summary>
-        /// <returns></returns>
-        private string MakePersonSalaryString()
-        {
-            try
-            {
-                string sRet = string.Empty;
-                
-                if (radioButton1.Checked)
-                {   // ----- 全日振分
-                    // 工期取得
-                    double BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
-                    // 給与単価
-                    int monthSalary = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.CreatorCosts].Text);
-                    sRet = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes.ToString("0.00"), monthSalary.ToString("#,0"));
-                }
-                else if (radioButton3.Checked)
-                {   // ----- 日数指定
-                    // 日数取得
-                    int daycount = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.SalaryDays].Text);
-                    // 担当給与
-                    int monthSalary = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.CreatorCosts].Text);
-                    // 日額給与取得
-                    double daylySalary = monthSalary / CommonDefine.s_WorkingDaysOfMonth;
-                    sRet = string.Format(CommonDefine.s_SalaryCostDaylyFormat, daycount.ToString("0"), daylySalary.ToString("#,0"));
-                }
-
-                return sRet;
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return string.Empty;
-            }
-        }
-        #endregion
     }
 }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/ProcessControl.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/ProcessControl.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/ProcessControl.cs	(revision 6)
@@ -329,32 +329,39 @@
         /// <param name="e"></param>
         private void ProcessExecute_EstimateInput(object sender, EventArgs e)
         {
-            int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
-            // フォームがあれば最前面へ
-            FrmEstimateInput frm = (FrmEstimateInput)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
-            if (frm != null)
+            try
             {
-                frm.Activate();
-                return;
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
+                // フォームがあれば最前面へ
+                FrmEstimateInput frm = (FrmEstimateInput)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 積算見積書入力起動
+                frm = new FrmEstimateInput();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmEstimateInputClosed);
+                frm.Show();
             }
-
-            // データ変更有時はデータ登録
-            if (m_bChengeAns)
+            catch (Exception ex)
             {
-                if (!DataEntryProcess()) return;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-
-            // 積算見積書入力起動
-            frm = new FrmEstimateInput();
-            ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
-            ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-            frm.ConstructionCode = m_ConstructionCode;
-            frm.SubForm = true;
-            frm.ShowInTaskbar = true;
-
-            // クロースドハンドラをこちらで定義する
-            frm.FormClosed += new FormClosedEventHandler(FrmEstimateInputClosed);
-            frm.Show();
         }
         #endregion
 
@@ -366,32 +373,39 @@
         /// <param name="e"></param>
         private void ProcessExecute_EstimatePrint(object sender, EventArgs e)
         {
-            int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
-            // フォームがあれば最前面へ
-            FrmEstimatePrint frm = (FrmEstimatePrint)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
-            if (frm != null)
+            try
             {
-                frm.Activate();
-                return;
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
+                // フォームがあれば最前面へ
+                FrmEstimatePrint frm = (FrmEstimatePrint)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 積算見積書印刷起動
+                frm = new FrmEstimatePrint();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmEstimatePrintClosed);
+                frm.Show();
             }
-
-            // データ変更有時はデータ登録
-            if (m_bChengeAns)
+            catch (Exception ex)
             {
-                if (!DataEntryProcess()) return;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-
-            // 積算見積書印刷起動
-            frm = new FrmEstimatePrint();
-            ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
-            ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-            frm.ConstructionCode = m_ConstructionCode;
-            frm.SubForm = true;
-            frm.ShowInTaskbar = true;
-
-            // クロースドハンドラをこちらで定義する
-            frm.FormClosed += new FormClosedEventHandler(FrmEstimatePrintClosed);
-            frm.Show();
         }
         #endregion
 
@@ -643,7 +657,7 @@
                 frm = new FrmConstructionLedger();
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-                frm.ConstructionCode = m_ConstructionCode;
+                frm.ConstructionCode = ClsProcessExist.GetParentConstrCode(m_ConstructionCode);
                 frm.SubForm = true;
                 frm.ShowInTaskbar = true;
 
@@ -718,6 +732,7 @@
                 int ProcessNo = (int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo;
                 FrmConstructionBaseInfo frm = (FrmConstructionBaseInfo)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
                 bool ThisEnd = frm.ParentEnd;
+                bool DataChange = frm.DataChenge;
 
                 // ハンドルクリア
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle.Dispose();
@@ -734,6 +749,14 @@
                 else
                 {
                     this.Activate();
+                    // データ変更がある場合は再表示
+                    if (DataChange)
+                    {
+                        GetBaseInfoData();
+                        SetConstructorCode();
+                        if (m_ConstructionBaseInfo.ConstructionPeriod >= 16) GetExpensesList();
+                        InitDataLoad();
+                    }
                 }
             }
             catch (Exception ex)
